package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="StatusPegawaiJadwalKerja_M")
public class StatusPegawaiJadwalKerja extends BaseMaster{
	
	@NotNull(message="Kode Status Pegawai Jadwal Kerja tidak boleh kosong")
	@Column(name = "KdStatusPegawaiJadwalKerja", nullable = false )
	@Caption(value="Kode Status Pegawai Jadwal Kerja")
	private Byte kdStatusPegawaiJadwalKerja;
	
	@NotNull(message="QStatus Pegawai Jadwal Kerja tidak boleh kosong")
	@Column(name = "QStatusPegawaiJadwalKerja", nullable = false )
	@Caption(value="QStatus Pegawai Jadwal Kerja")
	private Byte qStatusPegawaiJadwalKerja;
	
	@NotNull(message="Status Pegawai Jadwal Kerja tidak boleh kosong")
	@Column(name = "StatusPegawaiJadwalKerja", nullable = false , length = 30)
	@Caption(value="Status Pegawai Jadwal Kerja")
	private String statusPegawaiJadwalKerja;

	public Byte getKdStatusPegawaiJadwalKerja() {
		return kdStatusPegawaiJadwalKerja;
	}

	public void setKdStatusPegawaiJadwalKerja(Byte kdStatusPegawaiJadwalKerja) {
		this.kdStatusPegawaiJadwalKerja = kdStatusPegawaiJadwalKerja;
	}

	public Byte getqStatusPegawaiJadwalKerja() {
		return qStatusPegawaiJadwalKerja;
	}

	public void setqStatusPegawaiJadwalKerja(Byte qStatusPegawaiJadwalKerja) {
		this.qStatusPegawaiJadwalKerja = qStatusPegawaiJadwalKerja;
	}

	public String getStatusPegawaiJadwalKerja() {
		return statusPegawaiJadwalKerja;
	}

	public void setStatusPegawaiJadwalKerja(String statusPegawaiJadwalKerja) {
		this.statusPegawaiJadwalKerja = statusPegawaiJadwalKerja;
	}
	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.StatusPegawaiJadwalKerja_M_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.StatusPegawaiJadwalKerja_M_id_seq", sequenceName = "public.StatusPegawaiJadwalKerja_M_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}
